package database

import (
	"log"

	character "example.com/database/character"
	customization "example.com/database/customization"
	function "example.com/database/function"
	functionset "example.com/database/functionset"
	functiontag "example.com/database/functiontag"
	group "example.com/database/group"
	inventoryslot "example.com/database/inventoryslot"
	item "example.com/database/item"
	itemtag "example.com/database/itemtag"
	person "example.com/database/person"
	role "example.com/database/role"
	schematic "example.com/database/schematic"
	tier "example.com/database/tier"
	user "example.com/database/user"

	"gorm.io/driver/sqlite"
	"gorm.io/gorm"
)

func InitializeDatabase() *gorm.DB {
	db, err := gorm.Open(sqlite.Open("../db/main.db"), &gorm.Config{})
	if err != nil {
		log.Fatal("Failed to connect to database.")
	}
	db.AutoMigrate(
		&user.User{},
		&group.Group{},
		&functiontag.FunctionTag{},
		&itemtag.ItemTag{},
		&function.Function{},
		&functionset.FunctionSet{},
		&tier.Tier{},
		&role.Role{},
		&person.Person{},
		&item.Item{},
		&inventoryslot.InventorySlot{},
		&character.Character{},
		&customization.Customization{},
		&schematic.Schematic{},
	)
	return db
}
